Subject: Re: [PATCH 2/2] format-patch: removing unconditional wrapping

From: Junio C Hamano <[email-masked]>
Date: Fri, 27 Mar 2026 13:27:17 -0700

Mirko Faina <[email-masked]> writes:

> Using format-patch with --commit-list-format different than shortlog,
> causes the commit entry lines to wrap if they get longer than
> MAIL_DEFAULT_WRAP (72 characters).
>
> While this might be sensible for many when sending changes through
> email, it forces this decision of wrapping on the user, reducing the
> control granularity of --commit-list-format.
>
> Teach generate_commit_list_cover() to respect commit entry line lengths
> and place this wrapping rule on the "modern" preset format instead.

Well explained.  I would have personally picked a sligntly different
default format, but this topic is your itch, so it's OK.

Will queue.  Looks very good.  Thanks.